using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class MinigunBulletSmall : Bullet
{
    public const int Width = 11;
    public const int Height = 21;

    protected override string TextureName => TextureNames.Bullets.MinigunSmall;

    public MinigunBulletSmall(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 1;
    }
}